summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-03-26 01:11:16 +0100
committerJim Meyering <meyering@redhat.com>2008-03-26 01:11:16 +0100
commit0e5381fe9357d89806dded3e8538dcb932ae3cac (patch)
treec817245d9195097b46202b9eea7f48fa16a336de /tests
parent72d052896a9092b811961a8f3e6ca5d151a59be5 (diff)
downloadcoreutils-0e5381fe9357d89806dded3e8538dcb932ae3cac.tar.xz
Test for mkdir bug fix.
* tests/mkdir/selinux: New file: test for today's fix. * tests/mkdir/Makefile.am (TESTS): Add selinux.
Diffstat (limited to 'tests')
-rw-r--r--tests/mkdir/Makefile.am1
-rwxr-xr-xtests/mkdir/selinux38
2 files changed, 39 insertions, 0 deletions
diff --git a/tests/mkdir/Makefile.am b/tests/mkdir/Makefile.am
index 617abcfd1..ee8bfb84f 100644
--- a/tests/mkdir/Makefile.am
+++ b/tests/mkdir/Makefile.am
@@ -1,5 +1,6 @@
## Process this file with automake to produce Makefile.in -*-Makefile-*-.
TESTS = \
+ selinux \
p-1 \
p-2 \
p-3 \
diff --git a/tests/mkdir/selinux b/tests/mkdir/selinux
new file mode 100755
index 000000000..9bfd0909d
--- /dev/null
+++ b/tests/mkdir/selinux
@@ -0,0 +1,38 @@
+#!/bin/sh
+# ensure that an invalid context doesn't cause a segfault
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mkdir --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
+c=invalid-selinux-context
+
+fail=0
+mkdir -Z $c dir-arg 2> out && fail=1
+cat <<EOF > exp || fail=1
+mkdir: failed to set default file creation context to \`$c': Invalid argument
+EOF
+
+compare out exp || fail=1
+
+(exit $fail); exit $fail